{
	"name": "form/nc/nc-production/rec.json",
	"constant": "plugin/nc-calc-server/constant.json",
	"view": "product-need",
	"chart_type": "stock_balance",
	"need_view": "balance",
	"phase_view": true,
	"selected_production_lot": "",
	"incremental_update": false,
	"reload_data": false,
	"preload_tag": true,
	"find_text": "",
	"add_order_error": false,
	"allow_save": false,
	"select_upper": true,
	"select_lower": true,
	"chart_current": false,
	"weekly_need": true,
	"hide_empty": true,
	"only_need": true,
	"has_error": false,
	"error_count": 0,
	"error_count_all": 0,
	"error_count_weekly": 0,
	"clear_error_timeout_seconds": 15,
	"find_delay_seconds": 0.4,
	"find_min_characters": 1,
	"max_activate_row_count": 1000,
	"max_need_down_loop_count": 500,
	"last_modify_id": {},
	"gantt_data": {},
	"gantt_option": {},
	"foreman": [],
	"person": [],
	"resource": [],
	"capacity_json": "{}",
	"run-": [
		["current_date", "=", ["currentDateString"]],
		["planned_end_date", "=", ["ymdAddDateString", ["current_date", 0, 0, -1]]],
		["planned_start_date", "=", ["ymdAddDateString", ["planned_end_date", 0, 0, -6]]],
		["end_date", "=", ["ymdAddDateString", ["current_date", 0, 0, 0]]],
		["start_date", "=", ["ymdAddDateString", ["end_date", 0, 0, -1]]],
		[
			"default_capacity",
			"=",
			[
				"query",
				[
					"local/resource/capacity/default_capacity.json",
					{
						"start_date": "start_date",
						"end_date": "end_date"
					}
				]
			]
		]
	],
	"graph": {
		"shift_checked": "checked",
		"sum_checked": "checked",
		"capacity_checked": "",
		"actual_work_phase_checked": "",
		"time_card_checked": "",
		"machine_data_checked": "",
		"work_checked": ""
	}
}
